gnutls_oid_to_gost_paramset(3)

NAME
gnutls_oid_to_gost_paramset - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_gost_paramset_t gnutls_oid_to_gost_paramset(const char * oid);

ARGUMENTS

const char * oid
    is an object identifier

DESCRIPTION
Converts a textual object identifier to a gnutls_gost_paramset_t value.

RETURNS
a gnutls_gost_paramset_get_oid of the specified GOST 28147 param st, or GNUTLS_GOST_PARAMSET_UNKNOWN on failure.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/